/*
***************************************************************************

   X server for LibGGI - Basic definitions

   Copyright (C) 1998-1999 Marcus Sundberg	[marcus@ggi-project.org]

   Permission is hereby granted, free of charge, to any person obtaining a
   copy of this software and associated documentation files (the "Software"),
   to deal in the Software without restriction, including without limitation
   the rights to use, copy, modify, merge, publish, distribute, sublicense,
   and/or sell copies of the Software, and to permit persons to whom the
   Software is furnished to do so, subject to the following conditions:

   The above copyright notice and this permission notice shall be included in
   all copies or substantial portions of the Software.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
   THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
   IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
   CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

***************************************************************************
*/

#ifndef _XGGI_H
#define _XGGI_H

#include <ggi/gg.h>
#include <ggi/ggi.h>

#define DEFAULT_PTRBUTTONS	5
#define GGIVENDOR_STRING	"The GGI Project"

struct xggiGlobalInfo {
	int numscreens;
	int rows, columns;	/* Screen layout */
	int allowzap;
	int xfree86emu;
};	
	
struct xggiScreenInfo {
	ggi_visual_t vis;
	uint32 ptrbuttons;
	int width;
	int height;
	int depth;
	int stride;
	int bitsPerPixel;
	ggi_mode mode;
	const ggi_directbuffer *dbuf;
	char *pfbMemory;
	ScreenPtr screen;
	PixmapPtr backbuffer;
	int ismapped;
};

extern struct xggiGlobalInfo xggiInfo;
extern struct xggiScreenInfo *xggiScreens;

#define MASTER_VIS	(xggiScreens[0].vis)

extern Bool
xggiScreenInit();

extern void
xggiQueueKeyboardEvent();

extern int
xggiKeybdProc();

extern void
xggiUnmapDisplay(void);

extern void
xggiMapDisplay(void);

extern int
xggiGetScreenIdx(ScreenPtr screen);

#define TVAL2TIME(tv)	((tv).tv_sec*1000 + (tv).tv_usec/1000)

#endif /* _XGGI_H */
